petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCShellSetName

Sets an optional name to associate with a shell preconditioner.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCShellSetName(PC pc,const char name[])

Not Collective Many br

### Input Parameters

| pc | - the preconditioner context Many br
| name | - character string describing shell preconditioner Many br

Many br

### Keywords

PC, shell, set, name, user-provided

### See Also

PCShellGetName()

Level:developer
Location:src/ksp/pc/impls/shell/shellpc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex15.c.html